Bug 1415651 - provide an easy way for the user to redeploy in case deployment fails
Summary: provide an easy way for the user to redeploy in case deployment fails
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: cockpit-ovirt
Classification: oVirt
Component: Gdeploy
Version: ---
Hardware: x86_64
OS: Linux
high
medium
Target Milestone: ovirt-4.1.1
: 0.10.7-0.0.13
Assignee: Ramesh N
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On:
Blocks: Gluster-HC-2
TreeView+ depends on / blocked
 
Reported: 2017-01-23 11:00 UTC by RamaKasturi
Modified: 2017-04-21 09:50 UTC (History)
3 users (show)

Fixed In Version: cockpit-ovirt-0.10.7-0.0.11
Doc Type: Bug Fix
Doc Text:
Gluster deployment wizard in cockpit doesn't have a way to retry gluster deployment after failure. User has to close and open the wizard and fill the details again to re-try. With this fix, there will be a 'Redeploy' option in the wizard when deployment fails. User can click 'Redeploy' and make any changes to his input or generated config and deploy again.
Clone Of:
Environment:
Last Closed: 2017-04-21 09:50:21 UTC
oVirt Team: Gluster
rule-engine: ovirt-4.1+
rule-engine: planning_ack+
rnachimu: devel_ack+
sasundar: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 72631 master MERGED gdeploy : provide redeploy option during deployment failure 2017-02-21 16:31:59 UTC
oVirt gerrit 72798 ovirt-4.1 MERGED gdeploy : provide redeploy option during deployment failure 2017-02-21 16:32:36 UTC

Description RamaKasturi 2017-01-23 11:00:59 UTC
Description of problem:
with the current version of cockpit-ovirt-gdeploy plugin, when ever deployment fails user has to provide all the inputs again for re-deployment. Provide an easy way for the user to roll back in case deployment fails, i.e may be provide an option for the user to reload the same config file and provide a redeploy buton or provide a back button kind of thing where he can go to the "Review" page again and do the deployment by changing some parameters.

Version-Release number of selected component (if applicable):
cockpit-ovirt-dashboard-0.10.7-0.0.3.el7ev.noarch

How reproducible:


Steps to Reproduce:
1. Install latest cockpit-ovirt
2. Login to the UI
3. Provide all the inputs and give some wrong password so that deployment fails.

Actual results:
Once user clicks on back button it shows the Brick creation page and user has to re provide all his inputs.

Expected results:
provide an easy way for the user to roll back in case deployment fails.

Additional info:

Comment 1 SATHEESARAN 2017-01-24 10:12:10 UTC
Bug - 1415984 - is tracked for saving the gdeploy conf file under persistent location ( for example: /var/log/vdsm/ ) and each gdeploy conf file generation should have a unique file name by associating filename with timestamp.

This bug should provide UI enhancements to use the existing gdeploy conf file

Comment 2 Ramesh N 2017-02-19 10:57:12 UTC
We can provide a Redeploy option when deployment fails. User can use this option to see the review page again and he can also move back to previous steps and edit the configurations/inputs as required and Deploy again. This feature also can be used to implement the preflight checks (bz#1423542) in gdeploy. If preflight checks fails then user will get an option to edit the configuration and re-deploy.

Comment 3 SATHEESARAN 2017-03-07 10:36:56 UTC
In the case of failure, cockpit wizard lands up the final gdeploy config file display tab, where the user could edit the config file and redeploy

Comment 4 SATHEESARAN 2017-03-07 10:39:27 UTC
(In reply to SATHEESARAN from comment #3)
> In the case of failure, cockpit wizard lands up the final gdeploy config
> file display tab, where the user could edit the config file and redeploy

 Tested with cockpit-ovirt-dashboard-0.10.7-0.0.11


Note You need to log in before you can comment on or make changes to this bug.